XFcPrimitiveShapes class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveShapes Class Reference

List of all members.

## Static Public Member Functions

void | rectangle (XFcPrimitiveTranslator *aTranslator, REAL aX, REAL aY, REAL aWidth, REAL aHeight, REAL aRx=REALi(0), REAL aRy=REALi(0))
| Draws a rectangle with the translator.
void | circle (XFcPrimitiveTranslator *aTranslator, REAL aX, REAL aY, REAL aRadius)
| Draws a circle with the translator.
void | ellipse (XFcPrimitiveTranslator *aTranslator, REAL aX, REAL aY, REAL aRx, REAL aRy)
| Draws an ellipse with the translator.
void | line (XFcPrimitiveTranslator *aTranslator, REAL aX1, REAL aY1, REAL aX2, REAL aY2)
| Draws a line with the translator.
void | polyline (XFcPrimitiveTranslator *aTranslator, REAL *aCoordinates, INT32 aCount)
| Draws a polyline with the translator.
void | polygon (XFcPrimitiveTranslator *aTranslator, REAL *aCoordinates, INT32 aCount)
| Draws a polygon with the translator.

## Member Function Documentation

void XFcPrimitiveShapes::circle | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL | aX,
|  | REAL | aY,
|  | REAL | aRadius
| ) | `[static]`

Draws a circle with the translator.

Parameters:

  aTranslator | to draw the shape.
  aX | x position of the center of the circle.
  aY | y position of the center of the circle.
  aRadius | radius of the circle.

void XFcPrimitiveShapes::ellipse | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL | aX,
|  | REAL | aY,
|  | REAL | aRx,
|  | REAL | aRy
| ) | `[static]`

Draws an ellipse with the translator.

Parameters:

  aTranslator | to draw the shape.
  aX | x position of the center of the ellipse.
  aY | y position of the center of the ellipse.
  aRx | horizontal radius of the ellipse.
  aRy | vertical radius of the ellipse.

void XFcPrimitiveShapes::line | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL | aX1,
|  | REAL | aY1,
|  | REAL | aX2,
|  | REAL | aY2
| ) | `[static]`

Draws a line with the translator.

Parameters:

  aTranslator | to draw the shape.
  aX1 | x position of the start of the line.
  aY1 | y position of the start of the line.
  aX2 | x position of the end of the line.
  aY2 | y position of the end of the line.

void XFcPrimitiveShapes::polygon | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL * | aCoordinates,
|  | INT32 | aCount
| ) | `[static]`

Draws a polygon with the translator.

Parameters:

  aTranslator | to draw the shape.
  aCoordinates | an array of coordinates that define the polyline. Order is x1,y1,x2,y2,x3,y3 etc.
  aCount | amount of coordinate pairs in the array.

void XFcPrimitiveShapes::polyline | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL * | aCoordinates,
|  | INT32 | aCount
| ) | `[static]`

Draws a polyline with the translator.

Parameters:

  aTranslator | to draw the shape.
  aCoordinates | an array of coordinates that define the polyline. Order is x1,y1,x2,y2,x3,y3 etc.
  aCount | amount of coordinate pairs in the array.

void XFcPrimitiveShapes::rectangle | ( | XFcPrimitiveTranslator * | aTranslator,
|  | REAL | aX,
|  | REAL | aY,
|  | REAL | aWidth,
|  | REAL | aHeight,
|  | REAL | aRx = REALi(0),
|  | REAL | aRy = REALi(0)
| ) | `[static]`

Draws a rectangle with the translator.

Parameters:

  aTranslator | to draw the shape.
  aX | x position of the upper left corner.
  aY | y position of the upper left corner.
  aWidth | width of the rectangle.
  aHeight | height of the rectangle.
  aRx | width of the rounding circle in the corners.
  aRy | height of the rounding circle in the corners.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch